import request from '@/config/axios'
// 生成工资条
export const createSalarySlip = async (data) => {
  return await request.post({ url: '/admin-api/oa/user-salary-grant/create', data })
}

// 导入工资条
export const importSalarySlip = async (params) => {
  return await request.get({ url: '/admin-api/oa/user-salary-grant/import', params })
}

// 修改工资条
export const updateSalarySlip = async (data) => {
  return await request.put({ url: '/admin-api/oa/user-salary-grant/update', data })
}

// 封存
export const sealupSalarySlip = async (data) => {
  return await request.post({ url: '/admin-api/oa/user-salary-grant/confirm', data })
}
